
# Copyright Amit P. Singh, Douglas L. Brutlag, Stanford University. 

source /usr/local/lib/tcl/init.tcl
source /usr/local/lib/tk/tk.tcl

set fnt "-*-new century schoolbook-medium-r-*-*-*-100-*-*-*-*-*-*"
option add *Button.font $fnt
option add *Radiobutton.font $fnt
option add *Checkbutton.font $fnt
option add *Label.font $fnt
option add *Scale.font $fnt

set boldfont "-*-new century schoolbook-bold-r-*-*-*-100-*-*-*-*-*-*"

option add *Radiobutton.selector limegreen

set bset {top pady 1 frame w anchor w}


set w .firstwindow
toplevel $w
wm title $w "LOCK"
wm geometry $w +525+0

set object1 0
set object2 0


frame $w.frame1 -borderwidth 2
checkbutton $w.frame1.cb1 -command { tclkeyOne $object1} -variable object1 
label $w.frame1.label -text "Query (blue): " 
label $w.frame1.label2 -textvariable queryname -font $boldfont
pack $w.frame1.cb1 $w.frame1.label $w.frame1.label2 -in $w.frame1 -side left -padx 2 -pady 2

frame $w.frame2 -borderwidth 2
checkbutton $w.frame2.cb1 -command { tclkeyTwo $object2} -variable object2 
label $w.frame2.label -text "Target (red): "
label $w.frame2.label2 -textvariable targetname -font $boldfont
pack $w.frame2.cb1 $w.frame2.label $w.frame2.label2 -in $w.frame2 -side left -padx 2 -pady 2


frame $w.frame3 -borderwidth 2 -relief ridge
button $w.frame3.b -text "Quit" -command {tclkeyQ}
pack $w.frame3.b -in $w.frame3 -padx 1m -pady 1m

pack $w.frame1 $w.frame2 -anchor n -fill x
pack $w.frame3 -pady 1m -anchor n




# create a separate window for the options
set w2 .optionswindow
toplevel $w2
wm title $w2 "Options"
wm geometry $w2 +525+200

set local 1

frame $w2.frame1 -borderwidth 2 -relief ridge
radiobutton $w2.frame1.rb1 -text "Local" -command {tclkeyL $local} -variable local -value 1
radiobutton $w2.frame1.rb2 -text "Global" -command {tclkeyL $local} -variable local -value 0
pack $w2.frame1.rb1 $w2.frame1.rb2 -in $w2.frame1 -anchor w -padx 2m


set thresholding 1
set tval 3

frame $w2.frame2 -borderwidth 2 -relief ridge
scale $w2.frame2.scale -label "Threshold Value" -from 0 -to 20 -length 3c -orient horizontal -command {sendthreshold} -variable tval
checkbutton $w2.frame2.cb1 -text "Thresholding" -command {tcltoggleT $thresholding} -variable thresholding
pack $w2.frame2.scale $w2.frame2.cb1 -in $w2.frame2 -anchor n

proc sendthreshold {value} {
    tclkeyT $value;
}

set viewvar 0

frame $w2.frame3 -borderwidth 2 -relief ridge
label $w2.frame3.label -text "Select a Viewing Mode:"
radiobutton $w2.frame3.rb1 -text "Full Protein" -command {tclkeySPACE 0} -variable viewvar -value 0
radiobutton $w2.frame3.rb2 -text "Coloured Protein" -command {tclkeySPACE 1} -variable viewvar -value 1
radiobutton $w2.frame3.rb3 -text "Only Helices" -command {tclkeySPACE 2} -variable viewvar -value 2
radiobutton $w2.frame3.rb4 -text "Only Sheets" -command {tclkeySPACE 3} -variable viewvar -value 3
radiobutton $w2.frame3.rb5 -text "Helices and Sheets" -command {tclkeySPACE 4} -variable viewvar -value 4
radiobutton $w2.frame3.rb6 -text "Only Turns" -command {tclkeySPACE 5} -variable viewvar -value 5
pack $w2.frame3.label $w2.frame3.rb1 $w2.frame3.rb2 $w2.frame3.rb3 $w2.frame3.rb4 $w2.frame3.rb5 $w2.frame3.rb6 -in $w2.frame3 -anchor w -padx 2m



pack $w2.frame1 $w2.frame2 $w2.frame3 -side top -anchor n -padx 2m -pady 2m 




# create a separate window for the alignment
set w3 .alignwindow
toplevel $w3
wm title $w3 "Align"
wm geometry $w3 +740+0

frame $w3.frame1 -borderwidth 4 -relief ridge
button $w3.frame1.b1 -text "RUN FULL ALIGNMENT" -command {tclFullAlign} -font $boldfont
pack $w3.frame1.b1 -in $w3.frame1 -padx 1m -pady 2m


frame $w3.frame2 -borderwidth 2 -relief ridge
button $w3.frame2.b1 -text "Step 1: Secondary Structure Alignment" -command {tclAlignStep1} 
pack $w3.frame2.b1 -in $w3.frame2 -anchor w -pady 1m -fill x

frame $w3.frame3 -borderwidth 2 -relief ridge
button $w3.frame3.b1 -text "Step 2: Backbone Alignment" -command {tclAlignStep2} 
pack $w3.frame3.b1 -in $w3.frame3 -anchor w -pady 1m -fill x

frame $w3.frame4 -borderwidth 2 -relief ridge
button $w3.frame4.b1 -text "Step 3: Core Alignment" -command {tclAlignStep3} 
pack $w3.frame4.b1 -in $w3.frame4 -anchor w -pady 1m -fill x

frame $w3.frame5 -borderwidth 2 -relief ridge
button $w3.frame5.b1 -text "Save Output File" -command {tclkeyR} 
pack $w3.frame5.b1 -in $w3.frame5 -anchor w -pady 1m -fill x

pack $w3.frame1 $w3.frame2 $w3.frame3 $w3.frame4 $w3.frame5 -anchor w -padx 1m -pady 3m -fill x



